PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchGetFullStepObjective

Returns the objective function value at the full step. Useful for some minimization algorithms.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetFullStepObjective(TaoLineSearch ls, PetscReal *f_fullstep)

Not Collective

### Input Parameter

| ls | - the TaoLineSearch context

### Output Parameter

| f | - the objective value at the full step length

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages